CC=@CC@
X_CFLAGS=@X_CFLAGS@
XPM_CFLAGS=@XPM_CFLAGS@
PNG_CFLAGS=@PNG_CFLAGS@
ZLIB_CFLAGS=@ZLIB_CFLAGS@
JPEG_CFLAGS=@JPEG_CFLAGS@
GIF_CFLAGS=@GIF_CFLAGS@
TIFF_CFLAGS=@TIFF_CFLAGS@

WFLAGS=	-Wall			\
	-pedantic		\
	-Wpointer-arith		\
	-fstrict-prototype	\
	-Wstrict-prototypes	\
	-Wmissing-declarations	\
	-Wnested-externs	\
	-Wshadow		\
	-Wmissing-prototypes

CFLAGS=	\
	@CFLAGS@		\
	$(X_CFLAGS)		\
	$(XPM_CFLAGS)		\
	$(PNG_CFLAGS)		\
	$(ZLIB_CFLAGS)		\
	$(JPEG_CFLAGS)		\
	$(GIF_CFLAGS)		\
	$(TIFF_CFLAGS)		\
	-I../include		\
	-I. -I../appUtil

#CFLAGS= -g -O2 $(WFLAGS) -pipe -I../include -I../appUtil $(PNG_CFLAGS) $(ZLIB_CFLAGS) $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(GIF_CFLAGS)

# 25 lines
OBS	=	\
		bmxwd.o\
		bmxv.o\
		bmxpm.o\
		bmxbm.o\
		bmtiff.o\
		bmselect.o\
		bmpng.o\
		bmpgm.o\
		bmpcx.o\
		bmpalette.o\
		bmjpeg.o\
		bmio.o\
		bmgif.o\
		bmflip.o\
		bmfilter.o\
		bmfft.o\
		bmeps.o\
		bmdraw.o\
		bmcolor.o\
		bmbmp.o\
		bmalpha.o\
		bmadm.o\
		bmSegments.o

../lib/bitmap.a:	$(OBS)
	ar ruv $@ $(OBS) && @RANLIB@ $@

#
#  This is cyclic, but at least it documents what extra autoconf configuration
#  is used in this directory:
#
ACLOCAL=			\
	../configure/xpm.m4	\
	../configure/png.m4	\
	../configure/zlib.m4	\
	../configure/jpeg.m4	\
	../configure/gif.m4	\
	../configure/tiff.m4

aclocal.m4:	$(ACLOCAL)
	cat $(ACLOCAL) > $@

# deps -I../include -I../appUtil -I/home/gaai/mark/LinuxProgrammas/zlib -I/home/gaai/mark/LinuxProgrammas/jpeg -I/home/gaai/mark/LinuxProgrammas/giflib/lib -I/usr/local/include -I/home/gaai/mark/LinuxProgrammas/libpng
######################################## !! sh

bmSegments.o: \
    bmSegments.c \
    config.h \
    bmSegments.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    bmintern.h \
    ../include/debugon.h \
    ../include/debug.h

bmadm.o: \
    bmadm.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmalpha.o: \
    bmalpha.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmbmp.o: \
    bmbmp.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    bmp.h \
    ../appUtil/sioHex.h \
    ../appUtil/sioEndian.h \
    ../appUtil/utilEndian.h \
    ../appUtil/sioStdio.h \
    ../include/debugon.h \
    ../include/debug.h

bmcolor.o: \
    bmcolor.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmdraw.o: \
    bmdraw.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmeps.o: \
    bmeps.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmfft.o: \
    bmfft.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmfilter.o: \
    bmfilter.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmflip.o: \
    bmflip.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmgif.o: \
    bmgif.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h \
    gif.h \
    ../appUtil/utilEndian.h

bmio.o: \
    bmio.c \
    config.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmjpeg.o: \
    bmjpeg.c \
    config.h \
    ../appUtil/sioStdio.h \
    ../appUtil/sioGeneral.h \
    bmintern.h \
    ../include/bitmap.h \
    ../include/debugon.h \
    ../include/debug.h

bmpalette.o: \
    bmpalette.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmpcx.o: \
    bmpcx.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../appUtil/utilEndian.h \
    ../include/debugon.h \
    ../include/debug.h

bmpgm.o: \
    bmpgm.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmpng.o: \
    bmpng.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmselect.o: \
    bmselect.c \
    config.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmtiff.o: \
    bmtiff.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmxbm.o: \
    bmxbm.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../include/debugon.h \
    ../include/debug.h

bmxpm.o: \
    bmxpm.c \
    config.h \
    ../include/debugon.h \
    ../include/debug.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h

bmxv.o: \
    bmxv.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    bmp.h \
    ../appUtil/sioEndian.h \
    ../appUtil/utilEndian.h \
    ../include/debugon.h \
    ../include/debug.h

bmxwd.o: \
    bmxwd.c \
    config.h \
    bmintern.h \
    ../include/bitmap.h \
    ../appUtil/sioGeneral.h \
    ../appUtil/utilEndian.h \
    ../include/debugon.h \
    ../include/debug.h \
    XWDFile.h

